Page 22 of 23

Re: LZDoom 3.83 yet to be released

PostPosted: Tue Oct 22, 2019 2:18 pm
by Kamil
In the test build of October 22, the performance got worse. In the build of October 20, everything is fine.

Re: LZDoom 3.83 yet to be released

PostPosted: Wed Oct 23, 2019 3:36 am
by drfrag
Kamil wrote:The new LZDoom build also works great with PB. Great job.But I have a question: when will the release version of LZDoom be and what’s new in Dev Build?

Thanks but that was an easy fix. The new version will be released in a few days. I retired the old release due to that bug and then there was another bug also present in GZDoom with the JIT compiler.
Kamil wrote:In the test build of October 22, the performance got worse.

I don't think that's even possible, for me it runs the same and this is low end. Most likely it's your web browser (close it then) or windows defender.
Recent changes here: https://github.com/drfrag666/gzdoom/commits/g3.3mgw

Re: LZDoom 3.83 yet to be released

PostPosted: Wed Oct 23, 2019 10:32 am
by Kamil
I had completely configured Windows for a long time and blew all the crap from Microsoft. I noticed for a long time that the performance in your test builds can be different. (At least for me). I use the same settings. For me, the best test build at the moment time of October 20. In any case, I wish further improvement in LZDoom

Re: LZDoom 3.83 yet to be released

PostPosted: Fri Oct 25, 2019 12:16 pm
by drfrag
I've uploaded a new devbuild, i've reverted that IgnoreTitlePatches thing: it was incompatible with the pre level refactor code and caused issues with intermissions and endings. Besides it was useless here, there was a comment about the old setup being wrong and i merged it anyway. I noticed yesterday that the entering message was shown before the Doom 2 ending. Now i need someone to test intermissions and endings, they seem fine now.
Kamil wrote:blew all the crap from Microsoft

You can't, there are several windows defender tasks which run with the maximum priority (realtime?) and here they almost freeze the computer. If you change their properties or disable them they will get reset in a week. May be the game mode helps. An then there's windows update downloading and installing in the background with a high cpu usage.

Re: LZDoom 3.83 yet to be released

PostPosted: Fri Oct 25, 2019 12:44 pm
by Kamil
I will now check the latest build of LZDoom
Everything works fine for me ;)

Re: LZDoom 3.83a 10/27 released

PostPosted: Sun Oct 27, 2019 2:49 pm
by drfrag
Thanks again for your help with testing. :)
After the ill-fated 3.83 release now 3.83a is up, hope nothing bad happens this time. I'll post it in news later.

Re: LZDoom 3.83a 10/27 released

PostPosted: Mon Oct 28, 2019 4:14 am
by drfrag
Done. BTW watch out for those new cyberdemons in Hellbound MAP29!. :mrgreen: :P
Sorry i could not resist. Cooke already took the time to implement his solution, i took the time to check and it's a map in an ocean of maps. Those cyberdemons were already there and in theory you don't need to kill them to end the map. No big deal. But the main reason is i want to see how many people actually complain, if they do i will revert the change. Besides the entire feature is optional here. I know i should have taken the reasonable route but hey i'm drfrag you know. :P

Did i mention you can re-cheat using the original Doom cheats as commands from the console in all games? Plus i added a 'randi' cheat as a small tribute to restore health and armor to 100. :)

Re: LZDoom 3.83a 10/27 released

PostPosted: Mon Oct 28, 2019 6:46 am
by Tartlman
heyy, another release!

here's hoping i don't forget to download it, seeing as i'm not at home right now.

Also, something i noticed in 3.82 i think - on 800x600 the menu scaling didn't match the scale that standard gzdoom uses. Has that been changed?

Re: LZDoom 3.83a 10/27 released

PostPosted: Mon Oct 28, 2019 11:27 am
by drfrag
Menu scaling changed in GZDoom 4.0 and also was different in the vintage build.
BTW after a long time i've uploaded a new legacy devbuild (i port the code to legacy first).
https://devbuilds.drdteam.org/gzdoom-vi ... abf848b.7z

Re: LZDoom 3.83a 10/27 released

PostPosted: Mon Oct 28, 2019 11:37 am
by Kamil
Do I need to install 3.83a?

Re: LZDoom 3.83a 10/27 released

PostPosted: Mon Oct 28, 2019 11:54 am
by drfrag
What do you mean? It's an official Release build.

Re: LZDoom 3.83a 10/27 released

PostPosted: Mon Oct 28, 2019 12:11 pm
by Kamil
Nice.Great job Dr Frag
The release version works great, but for some reason, HXRTCHUD_PB3_7_21_19UpdatePatched.pk3 does not want to work with PB (This applies to the release version.) But everything worked fine in the latest test build.

Re: LZDoom 3.83a 10/27 released

PostPosted: Tue Oct 29, 2019 6:49 am
by Tartlman
It looks like LZDoom says its zscript version is 3.9.0. Is there any reason for this, considering that it is incredibly unlikely for mod developers to use this version number in there projects and it just produces a warning with anything that uses 4.2.0 (which is, as far as i know, identical)?

Re: LZDoom 3.83a 10/27 released

PostPosted: Tue Oct 29, 2019 7:48 am
by Graf Zahl
I guess the reason is that it's "not quite 4.x", but this kind of numbering really causes problems for everybody because it's clearly not forward compatible with ZScript 4.x .

Having features in 3.9 that require version 4.2 in GZDoom essentially means that none of these features can be used in any cross-port compatible way, if modders want to target both they are basically locked to the last commonly supported version which AFAIK is 3.8.

So I very strongly recommend to change this ASAP, LZDoom should not invent ZScript versions of its own, it creates far more problems than it solves.

Re: LZDoom 3.83a 10/27 released

PostPosted: Wed Oct 30, 2019 2:59 am
by drfrag
I did that since 4.2.x isn't fully supported. 3.9.0 is the fully supported version, 3.8 plus some specific stuff. You are not supposed to target 3.9.0 but the version required for the functions you use, that's specified in the wiki. If you use LZDoom specific things it won't work in GZDoom no matter the version.
No big deal since you only get a warning. It should be compatible with 4.2.x but i cannot guarantee full compatibility. There are some fake functions mainly for localization and the fonts are fake, others are hacked and call the old one, some are not deprecated. But it's not that bad as it sounds, it's mainly the localization and that Shape 2D thing and thick lines and pretty sure there's something else.
But that said i could change it and print a warning about 4.2 not being fully supported instead.